%--- coordinate plot with respect to time
% you need to define model.C_posn in order to work properly


[X_track,k_birth,k_death]= extract_tracks(X,track_list,total_tracks);


figure(1); clf; subplot(211);
figure(2); clf; subplot(211);
figure(3); clf;

%--- plot true tracks
for i=1:total_tracks
    P= model.C_posn*X_track(:,k_birth(i):1:k_death(i),i);
    figure(1); h1_t= plot(k_birth(i):1:k_death(i),P(1,:),'-k'); hold on;
    figure(2); h2_t= plot(k_birth(i):1:k_death(i),P(2,:),'-k'); hold on;
end;

%---- plot the existing single filter
%load 1filter_nice1.mat
%--- plot 1 filter
P= model.C_posn*hat_x;
figure(1); h1_1f= plot(1:K,P(1,:),'r--o'); 
figure(2); h2_1f= plot(1:K,P(2,:),'r--o');

figure(1); 
xlabel('time step','fontsize',15); ylabel('x (in m)','fontsize',15);
set(gca, 'XLim',[1 K]);
set(gca, 'YLim',[0 room_dim(1)]);
legend_title= { 'True', 'SMC' };
legend(legend_title,4);
figure(2); 
xlabel('time step','fontsize',15); ylabel('y (in m)','fontsize',15);
set(gca, 'XLim',[1 K]);
set(gca, 'YLim',[0 room_dim(2)]);
