% load your data file prior to calling this routine

k= 23;  %time index
p= 2;   %sensor pair index

figure(1); clf; subplot(211);
plot(n_pts*Ts,cc(:,k,p));
hold on;
min_cc= min(cc(:,k,p)); min_cc= floor(min_cc/50)*50;
max_cc= max(cc(:,k,p)); max_cc= ceil(max_cc/50)*50;
set(gca,'YLim',[min_cc max_cc]);
for l=1:size(true_tdoa,3)
    if true_tdoa(k,p,l)~=0,
        plot(ones(2,1)*true_tdoa(k,p,l)*Ts,[min_cc,max_cc],'k:');
    end;
end;
xlabel('TDOA (in sec.)','fontsize',15); 
ylabel('GCC function','fontsize',15);

