% use after 'phdfilter'
% find the state vector estimate by using K-mean clustering

hat_X= cell(K,1);
for k=1:K
    Nt= round(hat_N(k));
    [idx,cluster_pts]= kmeans(particle_X{k}',Nt,...
        'maxiter',50,'replicates',5,'emptyaction','singleton');
    hat_X{k}= cluster_pts';
    disp(['Time step= ',num2str(k)]);
end;

