function Y= stft(y,Nframe,beta);
% beta is the overlap factor

[N,P]= size(y); 
M= Nframe/2+1;		%no. of frequency points (from DC to Nyguist)
L= (N-Nframe)/(Nframe*beta)+ 1; %no. of frames available
Y= zeros(P,M,L);
for l=1:L
   q= (l-1)*Nframe*beta;
   for p=1:P
      temp= transpose(fft( y((q+1):(q+Nframe),p) ));
      Y(p,:,l)= temp(1:M);
   end;
end;
