%---
head_test1

%--- signal generation
y= zeros(N,2,P);    %received signal
ys= zeros(N,2,P);   %received signal without noise
for p=1:P
    for el=1:L
        s_seg= s( max([ 1 ((el-1)*Nframe-h_len+1) ]):(el*Nframe) );
        if length(s_seg)~=h_len,
            s_seg= [ zeros(h_len+Nframe-length(s_seg),1); s_seg ];
        end;
        yt= fftfilt(h(:,1,p,el),s_seg);
        yt= yt( (h_len+1):(Nframe+h_len) );
        ys((1+(el-1)*Nframe):(el*Nframe),1,p)= yt;
        yt= fftfilt(h(:,2,p,el),s_seg);
        yt= yt( (h_len+1):(Nframe+h_len) );
        ys((1+(el-1)*Nframe):(el*Nframe),2,p)= yt;
    end;
end;
        
ys_pow= sum(sum(sum(abs(ys).^2)))/(N*2*P);
y= ys+ randn(N,2,P)*sqrt(ys_pow/snr);

%--- AEDA
mu= 0.99;
len_hat_h= 512;
%hat_h= zeros(len_hat_h,2,P,N);
for p=1:P
    x1= zeros(len_hat_h,1); x2= zeros(len_hat_h,1);
    u1= zeros(len_hat_h,1); u1(1)= 1;
    u2= zeros(len_hat_h,1); u1(10)= 1;
    for n=1:N
        x1= [ y(n,1,p); x1(1:(len_hat_h-1)) ]; x2= [ y(n,2,p); x2(1:(len_hat_h-1)) ];
        norm_u= norm([ u1; u2 ]);
        e= (u1'*x1+ u2'*x2)/norm_u;
        nabla_e= ([ x1; x2 ] - (e/norm_u)*[ u1; u2 ])/norm_u;
        new_u= [ u1; u2 ] - mu*e*nabla_e;
        new_u= new_u/norm(new_u);
        u1= new_u(1:len_hat_h); u2= new_u((len_hat_h+1):(2*len_hat_h));
        %hat_h(:,2,p,n)= new_u(1:len_hat_h); hat_h(:,1,p,n)= -new_u((len_hat_h+1):(2*len_hat_h));
    end;
end;
        
