function Sxy= st_xsd(x,y,Nframe,beta)
% short-time cross spectral density

N= length(x);
L= (N-Nframe)/(Nframe*beta)+1;  %no. of frames
Sxy= zeros(Nframe,L);
for l=1:L
    q= (l-1)*Nframe*beta;
    Sxy(:,l)= fft(x((q+1):(q+Nframe))).*conj(fft(y((q+1):(q+Nframe))));
end;
