file= 'exa3_1';

load([ '2filter_',file,'.mat']);

for p=1:Psensor
    figure(p); clf; subplot(211); ha= [];
    for n=1:Nspkr
        temp= plot(k_birth(n):k_death(n),true_tdoa(k_birth(n):k_death(n),p,n)*Ts,'k','linewidth',2);
        if n==1,
            ha= [ ha; temp(1) ];
        end;
        hold on;
    end;
    for el=1:L
        temp= plot(el,tdoa_peaks{el,p}*Ts,'or');
        if el==1,
            ha= [ ha; temp(1) ];
        end;
        temp= plot(el,tdoa_peaks{el,p}(1)*Ts,'*r');
        if el==1,
            ha= [ ha; temp(1) ];
        end;
    end;
    set(gca, 'XLim',[1 K]); set(gca, 'YLim',[-max_d*Ts max_d*Ts]);
    xlabel('time step','fontsize',15); ylabel('TDOA (in sec.)','fontsize',15);
    legend(ha,'True TDOA tracks (3 speakers in total)',...
        'GCC peaks (or measured TDOAs)','Largest GCC peak',1);
end;