function X= gen_newstate(model,X_old)
%--- this new state generation function follows the linear state spc eqn.
% x= Ax_old + Bv

if isempty(X_old),
    X= [];
else
    X= model.A*X_old+ model.sigma_v*model.B*randn(size(model.B,2),size(X_old,2));
end;

%Posn_X= model.C_posn*X;
%idx_upp= find( sum(Posn_X > repmat(model.posn_interval(:,2),[1 size(X_old,2)])) ~= 0 );
%idx_low= find( sum(Posn_X < repmat(model.posn_interval(:,1),[1 size(X_old,2)])) ~= 0 );
%while ~isempty(idx_upp) | ~isempty(idx_low),
%    X(:,idx_upp)= model.A*X_old(:,idx_upp)+ model.sigma_v*model.B*randn(size(model.B,2),length(idx_upp));
%    X(:,idx_low)= model.A*X_old(:,idx_low)+ model.sigma_v*model.B*randn(size(model.B,2),length(idx_low));
%    Posn_X= model.C_posn*X;
%    idx_upp= find( sum(Posn_X > repmat(model.posn_interval(:,2),[1 size(X_old,2)])) ~= 0 );
%    idx_low= find( sum(Posn_X < repmat(model.posn_interval(:,1),[1 size(X_old,2)])) ~= 0 );
%end;
