function X= gen_birthstate(model,no_of_birthtargets)
% this initial target state generation function uses a uniform distribution
% with zero velocity

Posn= repmat(model.posn_interval(:,1),[1 no_of_birthtargets])+ ...
    diag(model.posn_interval*[ -1; 1 ])*rand(3,no_of_birthtargets);
X= [ Posn(1,:); zeros(1,no_of_birthtargets); ...
        Posn(2,:); zeros(1,no_of_birthtargets); Posn(3,:) ];
